Index: trunk/abdev/BasicCompiler64/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 270)
+++ trunk/abdev/BasicCompiler64/BasicCompiler.vcproj	(revision 308)
@@ -82,5 +82,5 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib commond.lib smoothied.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib commond.lib smoothied.lib imagehlp.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="2"
@@ -194,5 +194,5 @@
 				Name="VCLinkerTool"
 				AdditionalOptions="/MACHINE:AMD64"
-				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib common.lib smoothie.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib bufferoverflowu.lib common.lib smoothie.lib imagehlp.lib"
 				OutputFile="../ActiveBasic/BasicCompiler64.exe"
 				LinkIncremental="1"
@@ -412,4 +412,12 @@
 					</File>
 				</Filter>
+				<Filter
+					Name="Low Level Classes"
+					>
+					<File
+						RelativePath="..\BasicCompiler_Common\include\StackFrame.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 		</Filter>
@@ -502,5 +510,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -511,5 +519,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -524,5 +532,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -533,5 +541,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -546,5 +554,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -555,5 +563,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -568,5 +576,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -577,5 +585,5 @@
 						<Tool
 							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
+							UsePrecompiledHeader="2"
 							BrowseInformation="0"
 						/>
@@ -593,14 +601,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -615,14 +623,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -637,14 +645,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -654,4 +662,20 @@
 						RelativePath=".\increment.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
@@ -663,14 +687,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -685,14 +709,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -707,14 +731,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -729,14 +753,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -751,14 +775,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -772,8 +796,40 @@
 						RelativePath=".\Compile_Interface.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath=".\Compile_Object.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 				</Filter>
@@ -789,14 +845,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -811,4 +867,5 @@
 							<Tool
 								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								ObjectFile="$(IntDir)\$(InputName)1.obj"
 								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
@@ -820,4 +877,5 @@
 							<Tool
 								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								ObjectFile="$(IntDir)\$(InputName)1.obj"
 								XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
@@ -828,4 +886,20 @@
 						RelativePath=".\stack_frame.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 				</Filter>
@@ -836,8 +910,40 @@
 						RelativePath=".\CLockParameter.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath=".\Compile_CallProc.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
@@ -849,14 +955,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -871,14 +977,14 @@
 							<Tool
 								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
-								BrowseInformation="0"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								UsePrecompiledHeader="0"
+								UsePrecompiledHeader="2"
+								BrowseInformation="0"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
 								BrowseInformation="0"
 							/>
@@ -888,8 +994,40 @@
 						RelativePath=".\CParameter.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath=".\OperatorProc.cpp"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								UsePrecompiledHeader="2"
+							/>
+						</FileConfiguration>
 					</File>
 				</Filter>
@@ -1101,4 +1239,5 @@
 							Name="VCCLCompilerTool"
 							AdditionalOptions="/bigobj"
+							UsePrecompiledHeader="0"
 						/>
 					</FileConfiguration>
@@ -1109,15 +1248,8 @@
 							Name="VCCLCompilerTool"
 							AdditionalOptions="/bigobj"
+							UsePrecompiledHeader="0"
 						/>
 					</FileConfiguration>
 				</File>
-				<Filter
-					Name="Core Classes"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\CommonCodeGenerator.cpp"
-						>
-					</File>
-				</Filter>
 			</Filter>
 			<Filter
@@ -1144,4 +1276,8 @@
 					</File>
 					<File
+						RelativePath="..\BasicCompiler_Common\src\CommonCodeGenerator.cpp"
+						>
+					</File>
+					<File
 						RelativePath="..\BasicCompiler_Common\src\Const.cpp"
 						>
@@ -1177,4 +1313,8 @@
 					<File
 						RelativePath="..\BasicCompiler_Common\src\NativeCode.cpp"
+						>
+					</File>
+					<File
+						RelativePath="..\BasicCompiler_Common\src\ObjectModule.cpp"
 						>
 					</File>
